% This function sets the system of the steady state 

function [ F ]  = find_steady(x,rk,alphaN,alphaT,D,beta,delta,gamma,eta,G,h,aT,O)
pN=x(1);
kN=x(2);
hN=x(3);
kT=x(4);


p=(gamma+(1-gamma)*pN^(1-eta))^(1/(1-eta));
k=kT+kN;
i=delta*k;
hT=h-hN;
yT=aT*kT^alphaT*hT^(1-alphaT);
yN=kN^alphaN*hN^(1-alphaN);
%%steady state gdp includes mining
gdp=(pN*yN+yT)/(p-O);
%%
d=D*4*p*gdp;
tb=d/p*(1/beta-1);
g=G*gdp;
c=gdp-i-g-tb;
w=(1-alphaT)*yT/(hT*p);

F=[yN-(1-gamma)*(pN/p)^(-eta)*(c+i+g)
(1-alphaN)*yN-w*hN*p/pN
alphaT*yT-rk*kT*p
alphaN*yN-rk*kN*p/pN];

end

